For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DiscordDashboard
DocumentationAPI ReferenceCookbook
DocumentationAPI ReferenceCookbook
  • API Reference
    • POSTStart instance
    • GETGet instance by ID
    • GETList all instances
    • GETList all browser authentication states
  • SDK Reference
    • Python SDK
    • TypeScript SDK
Logo
DiscordDashboard
API Reference

List all instances

GET
https://api.scrapybara.com/v1/instances
GET
/v1/instances
1import requests
2
3url = "https://api.scrapybara.com/v1/instances"
4
5headers = {"x-api-key": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1[
2 {
3 "id": "id",
4 "launch_time": "2024-01-15T09:30:00Z",
5 "instance_type": "ubuntu",
6 "status": "deploying",
7 "resolution": [
8 1
9 ]
10 }
11]
Was this page helpful?
Previous

List all browser authentication states

Next
Built with

Authentication

x-api-keystring
API Key authentication via header

Response

Successful Response
idstring
launch_timedatetime
instance_typeenum
Allowed values:
statusenum
resolutionlist of integers